package net.za.darkskies.security.sasl;

import java.util.Map;
import javax.security.sasl.*;
import javax.security.auth.callback.CallbackHandler;
import com.sun.security.sasl.util.PolicyUtils;

public final class ServerFactoryImpl
    implements SaslServerFactory
{

    public ServerFactoryImpl()
    {
    }

    public SaslServer createSaslServer(
		String mechanism, 
		String protocol, 
		String serverName,
		Map props, 
		CallbackHandler cbh)
        throws SaslException
    {
		//System.out.println("ServerFactoryImpl.createSaslServer");
		return new SSPIImpl(
			mechanism, 
			protocol, 
			serverName, 
			props, 
			cbh);
    }

    public String[] getMechanismNames(Map map)
    {
        return SSPIImpl.getServerMechanismNames(map);
    }
}
